org.gradle.language.base

## Interface ProjectSourceSet

- All Superinterfaces:
    Collection<LanguageSourceSet>, DomainObjectCollection<LanguageSourceSet>, DomainObjectSet<LanguageSourceSet>, Iterable<LanguageSourceSet>, Set<LanguageSourceSet>

      @Incubating
      public interface ProjectSourceSet
      extends DomainObjectSet<LanguageSourceSet>

  A container of `LanguageSourceSet`s. Added to a project by the `LanguageBasePlugin`.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`